@extends('layout/template')

@section('content')
    <div class="row" style="margin-top: 20px;">
        <div class="col-md-12" style="margin-bottom: 10px;">
            <a href="/g/new" class="btn btn-outline-primary" style="float: right;">New Gallery</a>
            <h1>Gallery</h1>
        </div>
    <div style="clear: both; margin-bottom: 10px;"></div>
        <div class="col-md-12">
            <table class="table table-striped">
                <tr>
                    <th class="d-none d-lg-table-cell">#</th>
                    <th>Preview</th>
                    <th class="d-none d-sm-table-cell">Name</th>
                    <th class="d-none d-lg-table-cell">Create Date</th>
                    <th></th>
                </tr>
                @foreach($galleries as $gallery)
                    <tr>
                        <td class="d-none d-lg-table-cell">{{ $gallery->id }}</td>
                        <td style="padding-top:5px;padding-bottom: 5px;">
                            @if($gallery->main_image == null)
                                <img src="/images/lens-3114729_1920.jpg" height="87px;">
                                @else
                                <img src="/{{ $tenant->url }}/{{ $gallery->url }}/{{ $gallery->main_image }}/file?size=small" height="87px;">
                                @endif

                        </td>
                        <td class="d-none d-sm-table-cell">{{ $gallery->name }}</td>
                        <td class="d-none d-lg-table-cell">{{ $gallery->gallery_create_time }}</td>
                        <td>
                            <div class="dropdown" style="float: right;">
                                <button class="btn btn-primary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    Actions
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <a class="dropdown-item" href="/g/{{$gallery->url}}">Bilder</a>
                                    <a class="dropdown-item" href="/g/{{$gallery->url}}/edit">Bearbeiten</a>
                                    <div role="separator" class="dropdown-divider"></div>
                                    <a class="dropdown-item" target="_blank" href="/{{ $tenant->url }}/{{$gallery->url}}">Anschauen</a>
                                </div>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </table>
        </div>
    </div>




@endsection
